## mingw-w64-python-tomlkit-0.14.0-1.src.tar.zst

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile docs/requirements.in -o docs/requirements.txt
alabaster==0.7.16
    # via sphinx
babel==2.15.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.7.4
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.7.18
    # via -r requirements.in
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via sphinx
jinja2==3.1.6
    # via sphinx
markupsafe==2.1.5
    # via jinja2
packaging==24.1
    # via sphinx
pygments==2.18.0
    # via
    #   furo
    #   sphinx
requests==2.32.4
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.4.7
    # via
    #   -r requirements.in
    #   furo
    #   sphinx-basic-ng
sphinx-basic-ng==1.0.0b2
    # via furo
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.6
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.8
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
tomli==2.2.1
    # via sphinx
urllib3==2.5.0
    # via requests
zipp==3.23.0
    # via importlib-metadata
